QGIS Application - Bug report #8210
[Composer] Grid complex linestyle and map scale
2013-07-02 01:48 PM - Hien TRAN-QUANG

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master
Operating System: Linux
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 17025

Description

| went across a bug in print composition.

Create a map, with a scale of 50000.

Enable a grid (1000m x 1000m), and make a custom line style, by adding a line of symbol. If | choose a symbol every xx map units, | need
to calculate a factor to get the correct placement of the symbol : 1000 (a point every kilometer) / 50000 (current scale) * 100 (why ?) = 20.

For a scale of 40000, a value of 25 is needed and so on.

If | choose a symbol every xx cm, everything seems fine.

Associated revisions

Revision 4a70d1b9 - 2014-06-17 02:01 PM - Nyall Dawson

[composer] Correctly handle symbology using map units when drawing grid lines and overlays on maps (fix #8210)

History

#1 - 2014-01-30 11:40 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2014-06-17 05:13 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"4a70d1b9e2b0d074db66b9e4a23c2123¢c998779b".

2025-12-15

1/1




